Bug 839828 - SELinux is preventing /usr/libexec/fprintd from using the 'sigkill' accesses on a process.
SELinux is preventing /usr/libexec/fprintd from using the 'sigkill' accesses ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f8f56490023ad3379033eef6592...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 20:30 EDT by Isnardy Linares
Modified: 2012-07-21 18:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-21 18:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Isnardy Linares 2012-07-12 20:30:38 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           jue 12 jul 2012 19:54:22 VET

description:
:SELinux is preventing /usr/libexec/fprintd from using the 'sigkill' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If cree que de manera predeterminada, fprintd debería permitir acceso sigkill sobre procesos etiquetados como fprintd_t.
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep fprintd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:fprintd_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:fprintd_t:s0-s0:c0.c1023
:Target Objects                 [ process ]
:Source                        fprintd
:Source Path                   /usr/libexec/fprintd
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           fprintd-0.4.1-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-5.fc17.x86_64 #1 SMP Thu Jul 5
:                              20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    jue 12 jul 2012 19:53:49 VET
:Last Seen                     jue 12 jul 2012 19:53:49 VET
:Local ID                      c1c542c7-6abf-4a4c-af78-165e4f56a8c4
:
:Raw Audit Messages
:type=AVC msg=audit(1342139029.857:189): avc:  denied  { sigkill } for  pid=20066 comm="fprintd" scontext=system_u:system_r:fprintd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:fprintd_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1342139029.857:189): arch=x86_64 syscall=kill success=no exit=EACCES a0=4e65 a1=9 a2=1 a3=0 items=0 ppid=1 pid=20066 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=fprintd exe=/usr/libexec/fprintd subj=system_u:system_r:fprintd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: fprintd,fprintd_t,fprintd_t,process,sigkill
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-13 03:30:51 EDT
Fixed in selinux-policy-3.10.0-138.fc17.noarch
Comment 2 Fedora Update System 2012-07-18 09:05:15 EDT
selinux-policy-3.10.0-140.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-140.fc17
Comment 3 Fedora Update System 2012-07-19 05:12:06 EDT
Package selinux-policy-3.10.0-140.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-140.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10840/selinux-policy-3.10.0-140.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-21 18:52:18 EDT
selinux-policy-3.10.0-140.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.